---
# This command checks frr before restarting it, just in case there are syntax
# errors. The dryrun command will have output if there are problems, so this
# short shell scripts fails and stops ansible if there is any output.
- name: check frr
  shell: bash -c '[[ -z $(vtysh -f /etc/frr/frr.conf --dryrun) ]]'

# This command actually restarts frr. This command will actually drop all
# routes currently in progress, so this will interrupt networking currently in
# place.
- name: restart frr
  service: name=frr state=restarted

- name: reload frr
  service: name=frr state=reloaded

- name: enable frr
  service: name=frr state=started enabled=yes
